This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 437046 - Review Request: mod_bw - Bandwidth Limiter For Apache
Review Request: mod_bw - Bandwidth Limiter For Apache
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-11 17:13 EDT by Jakub Hrozek
Modified: 2008-06-11 19:35 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.8-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-11 19:33:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jakub Hrozek 2008-03-11 17:13:53 EDT
Spec URL: http://hrozkovi.cz/fedora/mod_bw.spec
SRPM URL: http://hrozkovi.cz/fedora/mod_bw-0.8-1.fc7.src.rpm
Description: 
mod_bw is a bandwidth administration module for Apache httpd 2.x

* Restricts the number of simultaneous connections per vhost/dir
* Limits the bandwidth for files on vhost/dir
Comment 1 Jason Tibbitts 2008-05-10 23:16:12 EDT
Not sure why this hasn't been reviewed yet; it's a trivial package.

* source files match upstream:
   75d43f586b7662ccca7d67bc67c52e25a341c6caef89a4804fedbeaee25a13b3  
   mod_bw-0.8.tgz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   config(mod_bw) = 0.8-1.fc9
   mod_bw.so()(64bit)
   mod_bw = 0.8-1.fc9
  =
   config(mod_bw) = 0.8-1.fc9
   httpd

* %check is not present; no test suite upstream.  I can't easily test this.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

APPROVED
Comment 2 Jakub Hrozek 2008-05-15 03:34:42 EDT
New Package CVS Request
=======================
Package Name: mod_bw
Short Description: Bandwidth Limiter For Apache
Owners: jhrozek
Branches: F-8 F-9
InitialCC: N/A
Cvsextras Commits: yes
Comment 3 Jakub Hrozek 2008-05-15 03:35:15 EDT
Thanks for the review, Tibbs!
Comment 4 Kevin Fenzi 2008-05-15 12:06:49 EDT
cvs done. 

Would you consider maintaining or allowing someone else to maintain EPEL
branches of this package. I could be very useful in EPEL. 
Comment 5 Jakub Hrozek 2008-05-16 05:31:32 EDT
(In reply to comment #4)
> Would you consider maintaining or allowing someone else to maintain EPEL
> branches of this package. I could be very useful in EPEL. 

OK, I'm not planning to use the package on my CentOS box myself but I agree 
that it might be useful. I'll maintain it myself for EL-5 since the codebase 
is pretty slow target anyway. Thanks for the reminder!
Comment 6 Jakub Hrozek 2008-05-16 05:31:57 EDT
Package Change Request
======================
Package Name: mod_bw
New Branches: EL-5
Comment 7 Kevin Fenzi 2008-05-16 11:10:16 EDT
Thanks. 

cvs done.
Comment 8 Fedora Update System 2008-05-22 17:06:48 EDT
mod_bw-0.8-1.fc8 has been submitted as an update for Fedora 8
Comment 9 Fedora Update System 2008-05-22 17:07:46 EDT
mod_bw-0.8-1.fc9 has been submitted as an update for Fedora 9
Comment 10 Jakub Hrozek 2008-05-22 17:31:14 EDT
Built for rawhide, F-9-testing, F-8-testing and EL-5-testing.

Closing.
Comment 11 Fedora Update System 2008-06-11 19:33:26 EDT
mod_bw-0.8-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2008-06-11 19:35:12 EDT
mod_bw-0.8-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.